org.apache.cxf.feature

## Class DelegatingFeature<T extends AbstractPortableFeature>

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.DelegatingFeature<T>

- Type Parameters:
    `T` - the "portable" feature.
  All Implemented Interfaces:
    AbstractPortableFeature, Feature
  Direct Known Subclasses:
    BeanValidationFeature, ClientBeanValidationFeature, FastInfosetFeature, GZIPFeature, JAASAuthenticationFeature, LoggingFeature, SchemaValidationFeature, StaxDataBindingFeature, StaxTransformFeature, XSLTFeature

      public class DelegatingFeature<T extends AbstractPortableFeature>
      extends AbstractFeature

  Enable to convert a `AbstractPortableFeature` to a `AbstractFeature`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `delegate`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DelegatingFeature(T d)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `getDelegate()`
    `void` | `initialize(Bus bus)`
    `void` | `initialize(Client client, Bus bus)`
    `void` | `initialize(InterceptorProvider interceptorProvider, Bus bus)`
    `void` | `initialize(Server server, Bus bus)`
    `protected void` | `initializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
    `void` | `setDelegate(T delegate)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, getID, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected T extends AbstractPortableFeature delegate

  - ### Constructor Detail

    - #### DelegatingFeature

          protected DelegatingFeature(T d)

  - ### Method Detail

    - #### getDelegate

          protected T getDelegate()

    - #### setDelegate

          public void setDelegate(T delegate)

    - #### initialize

          public void initialize(Server server,
                                 Bus bus)

    - #### initialize

          public void initialize(Client client,
                                 Bus bus)

    - #### initialize

          public void initialize(InterceptorProvider interceptorProvider,
                                 Bus bus)

    - #### initialize

          public void initialize(Bus bus)

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider interceptorProvider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

Apache CXF